unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Menus, ExtCtrls, Placemnt, RXCombos, Spin, Mask, ToolEdit;

type
  TForm1 = class(TForm)
    FormStorage1: TFormStorage;
    Panel1: TPanel;
    Label1: TLabel;
    PopupMenu1: TPopupMenu;
    Timer1: TTimer;
    N1: TMenuItem;
    Panel2: TPanel;
    Ok: TButton;
    Cancel: TButton;
    ColorDialog1: TColorDialog;
    TextColorBtn: TButton;
    Label2: TLabel;
    TextChangePeriod: TSpinEdit;
    ChangingColors: TCheckBox;
    AutoRaws: TCheckBox;
    ColorsChangePeriod: TSpinEdit;
    BkgndColorBtn: TButton;
    FilenameEdit1: TFilenameEdit;
    Label3: TLabel;
    FontBtn: TButton;
    FontDialog1: TFontDialog;
    procedure N1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure CancelClick(Sender: TObject);
    procedure OkClick(Sender: TObject);
    procedure TextColorBtnClick(Sender: TObject);
    procedure BkgndColorBtnClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Timer1Timer(Sender: TObject);
    procedure TextChangePeriodChange(Sender: TObject);
    procedure FontBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure LoadStrings;
  end;

var
  Form1: TForm1;
  F: TextFile;
  SL: TStringList;
  SLCounter: Integer;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  FormStorage1.RestoreFormPlacement;
  Panel2.Visible:=False;
  SL:=TStringList.Create;
  LoadStrings;
  Timer1.Interval:=1000*TextChangePeriod.Value;
  Timer1.Enabled:=True;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Timer1.Enabled:=False;
  SL.Free;
end;

procedure TForm1.N1Click(Sender: TObject);
begin
  Panel2.Visible:=True;
end;

procedure TForm1.CancelClick(Sender: TObject);
begin
  FormStorage1.RestoreFormPlacement;
  Panel2.Visible:=False;
end;

procedure TForm1.OkClick(Sender: TObject);
begin
  FormStorage1.SaveFormPlacement;
  Panel2.Visible:=False;
end;

procedure TForm1.TextColorBtnClick(Sender: TObject);
begin
  if ColorDialog1.Execute then Label1.Font.Color:=ColorDialog1.Color;
end;

procedure TForm1.BkgndColorBtnClick(Sender: TObject);
begin
  if ColorDialog1.Execute then Label1.Color:=ColorDialog1.Color;
end;

procedure TForm1.LoadStrings;
var S: String;
begin
  if FileExists(FileNameEdit1.FileName) then begin
    AssignFile(F,FileNameEdit1.FileName);
    Reset(F);
    SL.Clear; SLCounter:=0;
    while not EOF(F) do begin
      Readln(F,S);
      SL.Add(S);
    end;
    CloseFile(F);
  end;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  Inc(SLCounter);
  if SLCounter>=SL.Count then SLCounter:=0;
  Label1.Caption:=SL.Strings[SLCounter];
end;

procedure TForm1.TextChangePeriodChange(Sender: TObject);
begin
  Timer1.Interval:=1000*TextChangePeriod.Value;
end;

procedure TForm1.FontBtnClick(Sender: TObject);
begin
  if FontDialog1.Execute then Label1.Font:=FontDialog1.Font;
end;

end.


